## org.eclipse.amp.escape.ascape.view
Class ModelScapeView

    java.lang.Object
      org.ascape.model.event.DefaultScapeListener
          org.eclipse.amp.escape.ascape.view.ModelScapeView

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.EventListener, org.ascape.model.event.ScapeListener, org.ascape.util.HasName, org.eclipse.core.runtime.IAdaptable

Direct Known Subclasses:
  EditPartFactoryScapeView, GraphView

    public abstract class ModelScapeView

extends org.ascape.model.event.DefaultScapeListener
implements org.eclipse.core.runtime.IAdaptable

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.ascape.model.event.DefaultScapeListener
`scape`

Constructor Summary
`ModelScapeView(java.lang.String primaryID)`
`ModelScapeView(java.lang.String primaryID, java.lang.String secondaryID, java.lang.String name)`

Method Summary
`ModelInput` `createInput()`
`java.lang.Object` `getAdapter(java.lang.Class key)`
`IModel` `getModel()`
`java.lang.String` `getName()`
`void` `scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)`
`java.lang.String` `toString()`

Methods inherited from class org.ascape.model.event.DefaultScapeListener
`clone, environmentQuiting, getScape, isGraphic, isLifeOfScape, isNotifyScapeAutomatically, notifyScapeUpdated, scapeClosing, scapeDeserialized, scapeInitialized, scapeIterated, scapeNotification, scapeRemoved, scapeSetup, scapeStarted, scapeStopped, setName, setNotifyScapeAutomatically`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelScapeView

    public ModelScapeView(java.lang.String primaryID,
                          java.lang.String secondaryID,
                          java.lang.String name)

### ModelScapeView

    public ModelScapeView(java.lang.String primaryID)

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class key)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`

### createInput

    public ModelInput createInput()

### scapeAdded

    public void scapeAdded(org.ascape.model.event.ScapeEvent scapeEvent)
                    throws java.util.TooManyListenersException

  Specified by:
    `scapeAdded` in interface `org.ascape.model.event.ScapeListener`
  Overrides:
    `scapeAdded` in class `org.ascape.model.event.DefaultScapeListener`
  Throws:
    `java.util.TooManyListenersException`

### getModel

    public IModel getModel()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.ascape.util.HasName`
  Overrides:
    `getName` in class `org.ascape.model.event.DefaultScapeListener`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.ascape.model.event.DefaultScapeListener`